Trade

New Order

post

Place a new order.

Rate Limit: 100 requests per 2 seconds

Weight: 5 (IP/UID)

Header parameters
X-CH-APIKEYstringRequired

Your API-key

X-CH-TSintegerRequired

Timestamp in milliseconds

X-CH-SIGNstringRequired

Signature of the request

Body
symbolstringRequiredExample: BTC/USDT
volumenumberRequiredExample: 1.5
sidestring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
pricenumberRequiredExample: 95000.5
newClientOrderIdstringOptionalExample: myCustomOrderId123
recvwindowintegerOptionalExample: 5000
triggerPricenumberOptionalExample: 9600
Responses
chevron-right
200

Order successfully placed.

application/json
symbolstringOptional

Trading pair symbol

Example: LXTUSDT
orderIdintegerOptional

Unique system-generated order ID

Example: 150695552109032480
orderIdStringstringOptional

Order ID as string (recommended for tracking)

Example: 150695552109032492
clientOrderIdstringOptional

Client-generated custom order ID

Example: 157371322565051
transactTimestringOptional

Timestamp when the order was placed (in ms)

Example: 1573713225668
pricestringOptional

Order price

Example: 0.005452
origQtystringOptional

Original order quantity

Example: 110
executedQtystringOptional

Quantity of the order that has been executed

Example: 0
statusstringOptional

Order status code

Example: 0
typestringOptional

Order type

Example: LIMIT
sidestringOptional

Order side (BUY or SELL)

Example: SELL
post
/sapi/v2/order
200

Order successfully placed.

Test New Order

post

Test new order creation and signature/recvWindow length. Creates and validates a new order but does not send the order into the matching engine.

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Body
typestringRequired

Type of the order

Example: LIMIT
pricenumberRequired

Order price, REQUIRED for LIMIT orders

Example: 1000.01
volumenumberRequired

Order volume. For MARKET BUY orders, vol=amount

Example: 1.5
sidestringRequired

Side of the order, BUY or SELL

Example: BUY
symbolstringRequired

Symbol name, e.g., BTC/USDT

Example: BTC/USDT
recvwindowintegerOptional

Time window for the request to be valid

Example: 5000
newClientorderIdstringOptional

Unique order ID generated by users

Example: my_custom_id_001
Responses
chevron-right
200

Successfully tested order

No content

post
/sapi/v2/order/test
200

Successfully tested order

No content

Batch Orders

post

Place a batch of up to 10 orders in a single request.

Weight: 10 (IP/UID)

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Body
symbolstringRequired

Trading pair symbol

Example: BTC/USDT
Responses
chevron-right
200

Successfully placed batch orders.

application/json
idsStringstring[]Optional

A collection of order IDs in string format (e.g., ["3213213"]).

idsinteger[]Optional

A collection of order IDs in integer format (e.g., [2100]).

post
/sapi/v2/batchOrders
200

Successfully placed batch orders.

Query Order

get

Retrieve the details of a specific order.

Weight: 1 (IP/UID)

Query parameters
orderIdstringRequired

System-generated Order ID

newClientorderIdstringOptional

Client-generated Order ID (optional)

symbolstringRequired

Trading pair symbol, e.g., BTC/USDT

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Responses
chevron-right
200

Successfully retrieved order information.

application/json
orderIdstringOptional

Unique order identifier generated by the system.

clientOrderIdstringOptional

Custom client-defined order ID.

symbolstringOptional

Trading pair (e.g., BTC/USDT).

pricestringOptional

Order price.

origQtystringOptional

Original quantity ordered.

executedQtystringOptional

Quantity that has been filled.

avgPricestringOptional

Average price of the filled portion.

statusstringOptional

Current status of the order — NEW, PARTIALLY_FILLED, FILLED, CANCELED, or REJECTED.

typestringOptional

Type of the order (e.g., LIMIT, MARKET).

sidestringOptional

Direction of the order — BUY or SELL.

transactTimestringOptional

Timestamp (ms) of order creation.

get
/sapi/v2/order
200

Successfully retrieved order information.

Cancel Order

post

Cancel an existing order by providing the order ID or clientOrderId.

Weight: 5 (IP/UID)

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Body
newClientOrderIdstringOptional

Client-generated Order ID (optional)

Example: 354444heihieddada
orderIdstringRequired

Order ID to cancel

Example: 499890200602846976
symbolstringRequired

Trading pair symbol

Example: BTC/USDT
Responses
chevron-right
200

Successfully canceled the order.

application/json
symbolstringOptional

Trading pair the order was placed on (e.g., BTC/USDT).

clientOrderIdstringOptional

Client-provided identifier for the order.

orderIdstringOptional

Unique ID of the canceled order (system-generated).

statusstringOptional

Final state of the order — typically CANCELED. Other possible states include NEW, PARTIALLY_FILLED, FILLED, and REJECTED.

post
/sapi/v2/cancel
200

Successfully canceled the order.

Batch Cancel Orders

post

Cancel multiple orders in a single request. The batch can contain up to 10 order IDs.

Weight: 10 (IP/UID)

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Body
orderIdsstring[] · max: 10Required

List of order IDs to cancel

symbolstringRequired

Trading pair symbol

Example: BTC/USDT
Responses
chevron-right
200

Result of batch cancel operation

application/json
post
/sapi/v2/batchCancel
200

Result of batch cancel operation

Current Open Orders

get

Retrieve all currently open orders for a symbol. If symbol is not provided, orders for all symbols will be returned.

Weight: 1 (IP/UID) Symbol not provided: Weight = 80

Query parameters
symbolstringOptional

Symbol name, e.g., BTC/USDT.

Weight (IP/UID):

  • If symbol is provided: 1
  • If symbol is not provided: 80
limitinteger · max: 1000Optional

Number of orders to return (max 1000)

Default: 100
Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Responses
chevron-right
200

Successfully retrieved list of open orders.

application/json
orderIdintegerOptionalExample: 499902955766523650
orderIdStringstringOptionalExample: 499902955766523648
symbolstringOptionalExample: BTC/USDT
pricestringOptionalExample: 0.01
origQtystringOptionalExample: 50
executedQtystringOptionalExample: 0
avgPricestringOptionalExample: 0
statusstringOptionalExample: NEW
typestringOptionalExample: LIMIT
sidestringOptionalExample: BUY
timestringOptionalExample: 1574329076202
stopPricenumberOptionalExample: 123321
isWorkingbooleanOptionalExample: true
get
/sapi/v2/openOrders
200

Successfully retrieved list of open orders.

History Orders

get

Retrieve historical orders for an account.

Query parameters
symbolstringOptional

Symbol name, e.g., BTC/USDT.

Weight (IP/UID): 20

  • If symbol is not provided: weight = 80
limitinteger · max: 100Optional

Max number of results (default: 50, max: 100)

Default: 50
startTimeintegerOptional

Start time in milliseconds

endTimeintegerOptional

End time in milliseconds

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Responses
chevron-right
200

Successfully retrieved historical orders.

application/json
orderIdintegerOptionalExample: 499902955766523650
orderIdStringstringOptionalExample: 499902955766523648
symbolstringOptionalExample: BTC/USDT
pricestringOptionalExample: 0.01
origQtystringOptionalExample: 50
executedQtystringOptionalExample: 0
avgPricestringOptionalExample: 0
statusstringOptionalExample: NEW
typestringOptionalExample: LIMIT
sidestringOptionalExample: BUY
timestringOptionalExample: 1574329076202
stopPricenumberOptionalExample: 123321
isWorkingbooleanOptionalExample: true
get
/sapi/v3/historyOrders
200

Successfully retrieved historical orders.

Account Trade List

get

Get historical trade data.

Weight: 20 (IP/UID) Symbol not provided: Weight = 80

Supports up to 6 months of data. Time range between startTime and endTime must not exceed 7 days.

Query parameters
symbolstringOptional

Symbol name, e.g., BTC/USDT.

Rate Limit Weight (IP/UID):

  • Single symbol query: weight = 20
  • Symbol not provided: weight = 80
limitinteger · max: 100Optional

Max number of results (default: 50, max: 100)

Default: 50
startTimeintegerOptional

Start time in milliseconds

endTimeintegerOptional

End time in milliseconds

Header parameters
X-CH-APIKEYstringRequired

Your API key

X-CH-TSstringRequired

Timestamp of the request

X-CH-SIGNstringRequired

Request signature

Responses
chevron-right
200

Successfully retrieved trade history.

application/json
symbolstringOptionalExample: ETH/BTC
idintegerOptionalExample: 100211
bidIdintegerOptionalExample: 150695552109032480
askIdintegerOptionalExample: 150695552109032480
pricestringOptionalExample: 4.00000100
qtystringOptionalExample: 12.00000000
timeintegerOptionalExample: 1499865549590
isBuyerbooleanOptionalExample: true
isMakerbooleanOptionalExample: false
feeCoinstringOptionalExample: ETH
feestringOptionalExample: 0.001
bidUserIdintegerOptionalExample: 23334
askUserIdintegerOptionalExample: 44112
isSelfbooleanOptionalExample: true
get
/sapi/v3/myTrades
200

Successfully retrieved trade history.

Last updated